Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2002-AVI-281

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 26 décembre 2002
No CERTA-2002-AVI-281

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Multiples vulnérabilités dans Oracle 9i Application Server


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2002-AVI-281

Gestion du document


Tableau 1: gestion du document
Référence CERTA-2002-AVI-281
Titre Multiples vulnérabilités dans Oracle 9i Application Server
Date de la première version 26 décembre 2002
Date de la dernière version -
Source(s) Bulletin de sécurité Oracle #47
Pièce(s) jointe(s) Aucune
   

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Fuite de données ;
  • contournement des règles de sécurité.

2 Systèmes affectés

La première vulnérabilité concerne l'ensemble des plateformes possédant la version :

  • Oracle 9i Application Server Release 2 v.9.0.2.0.0.

Une seconde vulnérabilité affecte les plateformes Windows NT et 2000 possédant la version :

  • Oracle 9i Application Server v.1.0.2.2.

La dernière vulnérabilité affecte toutes les plateformes avec les versions suivantes :

  • Oracle 9i Application Server v.1.0.2.2 ,
  • Oracle 9i Application Server Release 2 v.9.0.2.0.0 et v.9.0.2.0.1.

3 Résumé

Plusieurs vulnérabilités ont été découvertes dans Oracle Application Server.

4 Description

  • Une vulnérabilité permet de visualiser le code source dans Java Server Page (JSP) ;
  • des permissions NTFS pas assez restrictives permettent à tous les utilisateurs d'accèder au répertoire d'Oracle et à tous ses sous-répertoires ;
  • le contenu du dossier WEB-INF (pour OC4J) est accessible.

5 Solution

Appliquer les correctifs d'Oracle suivant la plateforme et la version affectée (cf. Documentation).

6 Documentation

Bulletin de sécurité #47 d'Oracle :

http://otn.oracle.com/deploy/security/pdf/2002alert47rev1.pdf

Gestion détaillée du document

26 décembre 2002
version initiale.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-05-24